package awais.instagrabber.adapters;

import android.view.View;
import android.widget.ImageView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import awais.instagrabber.R;

class PostViewHolder extends RecyclerView.ViewHolder {
    final ImageView icon, videoIcon;
    final View selectedView;

    PostViewHolder(@NonNull final View itemView) {
        super(itemView);
        icon = itemView.findViewById(R.id.post_image);
        videoIcon = itemView.findViewById(R.id.video_icon);
        selectedView = itemView.findViewById(R.id.selectedView);
    }
}