package awais.instagrabber.models;

public class SuggestionModel {
    private final boolean isPrivate, isVerified;
    private final String id, username, name, profilePic;

    public SuggestionModel(final boolean isPrivate, final boolean isVerified, final String id, final String username,
                           final String name, final String profilePic) {
        this.isPrivate = isPrivate;
        this.isVerified = isVerified;
        this.id = id;
        this.username = username;
        this.name = name;
        this.profilePic = profilePic;
    }

    public boolean isPrivate() {
        return isPrivate;
    }

    public boolean isVerified() {
        return isVerified;
    }

    public String getId() {
        return id;
    }

    public String getUsername() {
        return username;
    }

    public String getName() {
        return name;
    }

    public String getProfilePic() {
        return profilePic;
    }
}