package awais.instagrabber.models;

public final class ViewerPostModel {
    private final String postId, displayUrl, shortCode, postCaption, username;
    private final boolean isVideo;
    private final long timestamp, videoViews;
    public String sliderDisplayUrl;

    public ViewerPostModel(final boolean isVideo, final String postId, final String displayUrl, final String shortCode,
                           final String postCaption, final String username, final long videoViews, final long timestamp) {
        this.isVideo = isVideo;
        this.postId = postId;
        this.displayUrl = displayUrl;
        this.postCaption = postCaption;
        this.username = username;
        this.shortCode = shortCode;
        this.videoViews = videoViews;
        this.timestamp = timestamp;
    }

    public final boolean isVideo() {
        return isVideo;
    }

    public final String getPostId() {
        return postId;
    }

    public final String getDisplayUrl() {
        return displayUrl;
    }

    public final String getPostCaption() {
        return postCaption;
    }

    public final String getShortCode() {
        return shortCode;
    }

    public final long getVideoViews() {
        return videoViews;
    }

    public final long getTimestamp() {
        return timestamp;
    }

    public String getUsername() {
        return username;
    }
}